## xubuntu-docs 11.10.0

=== debian/changelog ===
xubuntu-docs (11.10.0) oneiric; urgency=low

  * desktop-guide/libs/global.ent, startpage/xubuntu-index.html: updated
    for oneiric.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Mon, 26 Sep 2011 20:55:11 +0200

xubuntu-docs (11.04.1) oneiric; urgency=low

  * debian/control: Build-Depend on gnome-doc-utils for xml2po. Fixes
    FTBFS. (LP: #835753)
  * debian/preinst: Upgrades need to remove the firefox-homepage
    alternative. In this way, we no longer need postinst or prerm.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 29 Aug 2011 14:09:09 -0400
