## xubuntu-docs 12.04.0

=== debian/changelog ===
xubuntu-docs (12.04.0) precise; urgency=low

  [ Pasi Lallinaho]
  * Backport the looks from 12.10+ documentation.

  [ Jack Fromm ]
  * Update application menu paths to reflect their state in 12.04
  * Update application names and GUI labels
  * Add or remove steps to instructions where applicable

  [ Stephen Michael Kellat ]
  * Prepare for Stable Release Update (Closes LP: #1207493)

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Thu, 25 Jul 2013 18:51:03 +0300

xubuntu-docs (13.10.0) saucy; urgency=low

  [ Pasi Lallinaho ]
  * Bump startpage and entities to Saucy
  * Rename to "Xubuntu Documentation"

  [ Unit 193 ]
  * Updated entities.
  * Updated Application names to friendly format.
  * Updated a moved channel.
  * Updated some formatting.
  * Updated and made additions to the networking section.
  * Added applications from the last cycle.

  [ Stephen Michael Kellat ]
  * Removed reference to a Qt-based application that should not be there
  * Fixed a typo on the offline applications page

  [ Jack Fromm ]
  * Grammar fixes and wording changes
  * Update the software-properties entity
  * Update GUI labels to match current versions

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Sat, 25 May 2013 21:03:30 +0300

xubuntu-docs (13.04.0) raring; urgency=low

  [ Stephen Michael Kellat ]
  * Bumping to raring
  * Created initial page describing use of apt-offline and added examples
  * Located credits page and added name to listing.
  * Did find and replace to change all references to "Parole" to be "Parole Media Player". (LP: #1064081)

  [ Unit193 ]
  * Language clean up (make text en-US)
  * Point to Mousepad instead of Leafpad (changed default application)
  * Fix information about DNS servers

  [ Pasi Lallinaho ]
  * Fix rendering bug in Chrome (LP: #1147192)
  * Bump startpage to raring (LP: #1154220)

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Wed, 20 Mar 2013 01:44:33 +0200

xubuntu-docs (12.10.2) quantal; urgency=low

  [ Book 'em Dano ]
  * desktop-guide/C/guide-default-apps.xml, desktop-guide/C/media-apps.xml: 
    added application tags and removed trademark symbols for consistency
  * desktop-guide/C/migrating-upgrading.xml: revised grammer
  * desktop-guide/libs/legal/C/legal-notice.xml: added general attribution for 
    third party intellectual property

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Oct 2012 09:09:04 -0400

xubuntu-docs (12.10.1) quantal; urgency=low

  [ Matthew East ]
  * Complete rewrite of desktop-guide by Pasi Lallinaho
  * Change to folder structure of desktop-guide to allow translations

  [ Jeremy Bicha ]
  * debian/control:
    - Bump Standards-Version to 3.9.3 and debhelper to 8
    - Don't build-depend on ubuntu-docs
  * debian/preinst: Dropped, not needed after 12.04 LTS

 -- Matthew East <mdke@ubuntu.com>  Wed, 19 Sep 2012 20:38:04 +0100
