=== debian/changelog ===
xubuntu-docs (12.04.2) precise; urgency=low

  [ Pasi Lallinaho]
  * Backport the looks from 12.10+ documentation.

  [ Jack Fromm ]
  * Update application menu paths to reflect their state in 12.04
  * Update application names and GUI labels
  * Add or remove steps to instructions where applicable

  [ Stephen Michael Kellat ]
  * Prepare for Stable Release Update (Closes LP: #1207493)

  [ Sean Davis ]
  * Prepare packaging for SRU

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 25 Jan 2014 07:02:36 -0500
