## xubuntu-docs 12.10.0

=== debian/changelog ===
xubuntu-docs (12.10.0) quantal; urgency=low

  * Update the documentation look. lp: #1043957

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 30 Aug 2012 20:34:47 +0200
