=== debian/changelog ===
xubuntu-docs (14.04.1) trusty; urgency=medium

  * New release. (LP: #1294932)

  [ David Pires ]
  * Corrected the xfdesktop-help link in xubuntu.ent file
  
  [ Unit 193 ]
  * Add several commands to the "Common commands" section.
  * Add an appendix for a listing of default packages (with descriptions.)
  * Add a build dep on coreutils (>= 8.16)
  * Update packaging and Makefiles for translations.
  * Drop unused scripts.

  [ Pasi Lallinaho ]
  * Remove mentions of gThumb from the documentation
    since it's not shipped in Trusty.
  * Update the startpage.

  [ Nigel Hall ]
  * Fix typos in the Command Line chapter.

  [ Jack Fromm ]
  * Revised the desktop guide and Settings chapters
    for the new panel layout including Whiskermenu.
  * Updated links to Xfce apps documentation.
  * Add icons and other entities.
  * Update entities as needed.

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 19 Mar 2014 22:08:04 -0400

xubuntu-docs (14.04.0) trusty; urgency=medium

  [ Pasi Lallinaho ]
  * Update version numbers (14.04/Trusty) and copyright
  * Fix text wrapping for information boxes

  [ David Pires ]
  * Add <application> tags for NetworkManager (LP: #1238718)
  * Use 'sudo -i' instead of 'gksudo' (LP: #1251332)
  * Fix typos (LP: #1243946)
  * Add documentation for Mugshot
  * Update documentation for xfdesktop

  [ Unit 193 ]
  * Fix typos
  * Fix file permissions
  * Build-dep drop use of cdbs use dh9, update d/compat
  * Update standards version

 -- Unit 193 <unit193@ubuntu.com>  Wed, 12 Feb 2014 16:56:38 -0500
