=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
-Build-Depends: cdbs,
-               debhelper (>= 8),
-               docbook-xml,
-               docbook-xsl,
-               xsltproc,
-               gnome-doc-utils
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+ coreutils (>= 8.16),
+ docbook-xml,
+ docbook-xsl,
+ xsltproc,
+ gnome-doc-utils
+Standards-Version: 3.9.5
 
 Package: xubuntu-docs
 Architecture: all
