=== debian/changelog ===
xubuntu-docs (14.10.1) utopic; urgency=medium

  * Translation updates.
    - Include Spanish (es). Updates for Finnish (fi).

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 09 Oct 2014 19:54:27 -0400

xubuntu-docs (14.10) utopic; urgency=medium

  [ David Pires ]
  * Fix the printing chapter to remove a reference
    to a obsolete setting (LP: #1299743)
  * Replace references to 'sudo -i' to 'pkexec' since
    that's now the recommended and supported way

  [ Pasi Lallinaho ]
  * Bump version to 14.10.
  * Fix broken startpage logo. (LP: #1310347)
  * Replace references to 'sudo -i' to 'pkexec' since
    that's now the recommended and supported way

  [ Unit 193 ]
  * scripts/translators.sh, desktop-guide/Makefile, desktop-guide/C/index.xml:
    - Attribute translators in their own Language's credits.

  [ Jack Fromm ]
  * Updated Scanning and Printing for new version of Simple Scan (LP: #1366150)

  [ Sean Davis ]
  * Documentation String Freeze exception (LP: #1372085)

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 21 Sep 2014 21:53:44 -0400
