## xubuntu-docs 15.04

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 desktop-guide:
 	make -C desktop-guide html
 
+epub:
+	make -C desktop-guide epub
+
 translate:
 	make -C desktop-guide translate
 
@@ -26,6 +29,9 @@
 	done >> build/about/xubuntu-index.html
 	cat startpage/xubuntu-index-end.htx >> build/about/xubuntu-index.html
 
+test:
+	make -C desktop-guide test
+
 src-tarball:
 	# exclude archive, backup, and bzr files
 	tar cvfz xubuntu-doc.tar.gz  --exclude="*.tar.gz" --exclude="*~" --exclude "*.bzr*" *
