=== debian/changelog ===
xubuntu-docs (15.04) vivid; urgency=medium

  [ Pasi Lallinaho ]
  * Bump version information to 15.04 Vivid Vervet
  * Attribute documentation correctly for the Xubuntu Documentation team
  * Clean up some files
  * Remove unused entities, directories and files
  * Add responsive stylesheets for the documentation
  * Tweak some CSS definitions
  * Replace the caution/important image with a new image
    from upstream (elementary-xfce)
  * Add responsive stylesheets for the start page
  * Add an id for the legalnotice tag to output specified filename
  * Improve the wording on releases on the upgrades section

  [ David Pires ]
  * Corrected a typo in the 'Changing update frequency and behavior'
    sub-section of the Managing installed applications chapter
  * Re-write the update-configuration-notifications section of the
    Managing installed applications chapter
  * Rephrased the first paragraph in index.html
  * Removed all the entries related to gthumb from xubuntu.ent
  * Corrected a typo in internet-networks.xml

  [ Elfy ]
  * Update the "Upgrading" section to be comprehensive. (LP: #1385479)

  [ Unit 193 ]
  * Move validation to a 'test' target, don't run at build time.
  * scripts/translators: Create a fallback in case no translators are found.
  * network-troubleshooting section: 'nm-tool' ➞ 'nmcli device show'
  * Lower the required translation percentage to 70.

  [ Steve Dodier-Lazaro ]
  * Update the security guide.

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 09 Mar 2015 20:33:59 -0400
