=== debian/changelog ===
xubuntu-docs (15.04.1) vivid-proposed; urgency=medium

  [ Steve Dodier-Lazaro ]
  * Mentioning the risks of password reuse more clearly

  [ Krytarik Raido ]
  * Make translation links on startpage use native language names
  * Normalized appearance of cross references, startpage moved to document root and renamed to 'index.html', main docs' directory changed to 'C'

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 08 Apr 2015 18:44:13 -0400
