## xubuntu-docs 15.10.0

=== debian/changelog ===
xubuntu-docs (15.10.0) wily; urgency=medium

  [ David Pires ]
  * Bump version and start page to 15.10 Wily Werewolf
  * Replace the occurrences of Abiword and Gnumeric for Writer and Calc in
    the appendix-packages and guide-default-apps files
  * Remove Gimp entry from guide-default-apps
  * Remove Gimp entity from the entities file and create entities for Calc
    and Writer

  [ Pasi Lallinaho ]
  * PDF exporting
    - Prepare Makefile targets and automatization for exports
    - Add a print-specific customization layer
  * Hide translator credits from C
  * Hide PDF links from the PDF files itself
  * Improve Makefiles and scripts
  * Improve the recto/verso page templates
    - No unnecessary formatting tags
    - Print the abstract on its own page, after the copyright notices

  [ Krytarik Raido ]
  * Link to the PDF files from the documentation
  * Improve Makefiles and scripts

 -- Sean Davis <smd.seandavis@gmail.com>  Fri, 18 Sep 2015 07:23:31 -0400
