## xubuntu-docs 15.10.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # All available translations
 TRANSALL = $(shell basename -s .po -a desktop-guide/po/*.po)
 
-all: clean startpage html translate
+all: clean startpage html html-translations pdf pdf-translations
 
 startpage: get-translations
 	mkdir -p build
@@ -52,18 +52,30 @@
 epub:
 	$(MAKE) -C desktop-guide epub
 
-translate: get-translations
+pdf:
+	$(MAKE) -C desktop-guide pdf
+
+translate:
 	$(MAKE) -C desktop-guide translate
 
-test: get-translations
+html-translations:
+	$(MAKE) -C desktop-guide html-translations
+
+pdf-translations:
+	$(MAKE) -C desktop-guide pdf-translations
+
+test:
 	$(MAKE) -C desktop-guide test
 
 src-tarball:
-	# exclude archive, backup, and bzr files
-	tar cvfz xubuntu-doc.tar.gz  --exclude="*.tar.gz" --exclude="*~" --exclude "*.bzr*" *
+	# exclude archive, VCS and backups
+	tar -czf xubuntu-docs.tar.gz --exclude='xubuntu-docs.tar.gz' --exclude-vcs --exclude-backups .
+
+pot:
+	scripts/get-pot.sh
 
 clean:
 	$(MAKE) -C desktop-guide clean
-	rm -rf build
+	rm -rf build xubuntu-docs.tar.gz
 
 .PHONY: startpage
