=== debian/changelog ===
xubuntu-docs (15.10.1) wily; urgency=medium

  * Updated translations

 -- Sean Davis <smd.seandavis@gmail.com>  Fri, 09 Oct 2015 07:07:39 -0400
