=== debian/control ===
Source: xubuntu-docs
Section: doc
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends: coreutils (>= 8.16),
 debhelper (>= 9),
 docbook-xml,
 docbook-xsl,
 fonts-droid,
 fop,
 gnome-doc-utils,
 xsltproc
Standards-Version: 3.9.6

Package: xubuntu-docs
Architecture: all
Depends: ${misc:Depends}
Description: Xubuntu documentation
 This package holds the official Xubuntu-specific documentation, maintained
 by the Xubuntu Documentation Team. The documentation can be viewed using
 a web browser or a PDF reader.
