## xubuntu-docs 16.04

=== debian/changelog ===
xubuntu-docs (16.04) xenial; urgency=medium

  [ David Pires ]
  * Bump version and start page to 16.04 Xenial Xerus
  * Removed references to gmusicbrowser
  * Ubuntu Software Center → Gnome Software

  [ flocculant ]
  * Wording updates and grammar fixes
  * Contributor docs: Initial content for QA
  * Added ISO section to QA testing
  * Added 3 PPA links and new catfish note to QA testing

  [ Unit 193 ]
  * Makefile:
    - Only run 'html' on the contributor docs, not run 'all'.
    - Add contributor docs to the clean section.
    - Rename, contributors → contributors-html.

  [ Krytarik Raido ]
  * Create subdirectory for user docs too
  * Drop '-docs' from contributor docs directory
  * Rename 'desktop-guide' source directory to 'user-docs'
  * Rename 'xubuntu-docs.ent' to 'xubuntu-user.ent'
  * Drop '-docs' from 'xubuntu-contributor-docs.ent'
  * Consolidate to only one 'libs-common' directory
  * Include contributor docs in the startpage
  * Reword introduction to user docs
  * Move common doc XMLs to 'libs-common'
  * Move language names file to 'libs-common'
  * Drop using 'shipped-docs' for translation
  * Enable translations for contributor docs
  * Enable PDFs for contributor docs
  * Build contributor docs by default too

 -- David Pires <slickymaster@ubuntu.com>  Thu, 10 Mar 2016 23:41:13 +0000
