=== debian/changelog ===
xubuntu-docs (16.04.1) xenial; urgency=medium

  [ flocculant ]
  * Replaced gstreamer0.1 ugly with gstreamer1.0 ugly
  * Replaced install-css.sh with the new libdvd-pkg information
  * Added new dev doc page for testers

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 16 Mar 2016 19:10:17 -0400
