## xubuntu-docs 16.04.2

=== debian/changelog ===
xubuntu-docs (16.04.2) xenial; urgency=medium

  * Fix relative paths for font metric files to allow PDFs to build
  * Land some visual consisntency fixes
  * Update the startpage to use a consistent style as well as the new highlight style

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Thu, 17 Mar 2016 13:36:59 +0200
