## xubuntu-docs 16.04.3

=== debian/changelog ===
xubuntu-docs (16.04.3) xenial; urgency=medium

  * Create temporary symlinks while creating PDFs (fixes FTBFS, thanks Krytarik)
  * Drop contributor documentation from the default build

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Tue, 22 Mar 2016 13:48:45 +0200
