=== debian/changelog ===
xubuntu-docs (16.04.4) xenial; urgency=medium

  * New bugfix and translation release.

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 07 Apr 2016 18:39:41 -0400
